Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1574825 - Cockpit ovirt machines UI should fail gracefully when service not available
Summary: Cockpit ovirt machines UI should fail gracefully when service not available
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: cockpit
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 06:10 UTC by Laura Bailey
Modified: 2018-11-14 11:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-14 11:25:38 UTC
oVirt Team: Virt


Attachments (Terms of Use)

Description Laura Bailey 2018-05-04 06:10:59 UTC
Working on Red Hat Hyperconverged Infrastructure, which uses Cockpit UI, but expects access to RHV Manager in order to allow VM management.

When user clicks oVirt Machines tab, it looks like there is an attempt to redirect the user to the configured RHV Manager URL. If RHV Manager is not accessible from the user's machine (wrong network, unresolved DNS) then the user just gets a browser error (Safari can't find the server, We can't connect to the server at <url>, etc.).

Is it possible to test client-side access and say something useful like "It looks like you don't have access to this service" or "It looks like the RHV Manager is down. Check that you can access the hosted engine on *url*" rather than redirecting and hoping?

Comment 1 Sahina Bose 2018-05-04 06:15:14 UTC
Marek, please change the product/component to appropriate one

Comment 2 Marek Libra 2018-05-04 07:31:40 UTC
Laura, which version of cockpit and RHV do you use?

The cockpit-machines-ovirt requires connection to RHV API, otherwise functionality is very limited (sort of read-only list of running VMs).

If there's no way to make RHV API accessible from browser-machine, it makes no sense to have cockpit-machines-ovirt installed.

FQDN of RHV Manager needs to be provided to the cockpit-machines-ovirt either via dialog within UI or via post-installation script. Depending on your network topology, can you use proxy or whatever mechanism to enable access?

cockpit-machines-ovirt is part of Cockpit, so tracked here: https://github.com/cockpit-project/cockpit/issues

Comment 3 Laura Bailey 2018-05-07 09:25:45 UTC
Hi Marek,

I understand, but my concern is more that in the case of a misconfiguration there's not a clear error to direct/assist the customer here.

Re. version, I'm not sure what is installed on dev's test server right now...

Sahina, what version are we pulling in for this version of RHHI?

Comment 4 Yaniv Kaul 2018-05-14 15:58:25 UTC
Severity...?

Comment 5 Laura Bailey 2018-05-14 23:37:21 UTC
I'd guess low to medium given Marek's comments?

Comment 6 Yaniv Kaul 2018-05-27 14:10:38 UTC
Severity...?

Comment 8 Sandro Bonazzola 2018-08-23 15:37:46 UTC
Moved to cockpit since this is not cockpit-ovirt but cockpit machine ovirt

Comment 9 Ryan Barry 2018-11-14 11:25:38 UTC
This will not make it in a reasonable time. Please re-open if you still feel this should be fixed


Note You need to log in before you can comment on or make changes to this bug.